package com.bonus.core.account.v3.po;

import java.math.BigDecimal;

public class AccPayFrozenDetailPO {
   private Long custId;
   private Integer walletId;
   private BigDecimal amount;
   private Long ordId;

   public static AccPayFrozenDetailPOBuilder builder() {
      return new AccPayFrozenDetailPOBuilder();
   }

   public Long getCustId() {
      return this.custId;
   }

   public Integer getWalletId() {
      return this.walletId;
   }

   public BigDecimal getAmount() {
      return this.amount;
   }

   public Long getOrdId() {
      return this.ordId;
   }

   public void setCustId(final Long custId) {
      this.custId = custId;
   }

   public void setWalletId(final Integer walletId) {
      this.walletId = walletId;
   }

   public void setAmount(final BigDecimal amount) {
      this.amount = amount;
   }

   public void setOrdId(final Long ordId) {
      this.ordId = ordId;
   }


   public AccPayFrozenDetailPO(final Long custId, final Integer walletId, final BigDecimal amount, final Long ordId) {
      this.custId = custId;
      this.walletId = walletId;
      this.amount = amount;
      this.ordId = ordId;
   }

   public AccPayFrozenDetailPO() {
   }

   public static class AccPayFrozenDetailPOBuilder {
      private Long custId;
      private Integer walletId;
      private BigDecimal amount;
      private Long ordId;

      AccPayFrozenDetailPOBuilder() {
      }

      public AccPayFrozenDetailPOBuilder custId(final Long custId) {
         this.custId = custId;
         return this;
      }

      public AccPayFrozenDetailPOBuilder walletId(final Integer walletId) {
         this.walletId = walletId;
         return this;
      }

      public AccPayFrozenDetailPOBuilder amount(final BigDecimal amount) {
         this.amount = amount;
         return this;
      }

      public AccPayFrozenDetailPOBuilder ordId(final Long ordId) {
         this.ordId = ordId;
         return this;
      }

      public AccPayFrozenDetailPO build() {
         return new AccPayFrozenDetailPO(this.custId, this.walletId, this.amount, this.ordId);
      }

   }
}
